package com.rjconsultores.ventaboletos.dao;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.ConexionCtrl;
import com.rjconsultores.ventaboletos.entidad.ConexionRutaConf;
import com.rjconsultores.ventaboletos.entidad.Ruta;
import com.rjconsultores.ventaboletos.vo.parada.ConexionCtrlVO;
import com.rjconsultores.ventaboletos.vo.parada.ConexionRutaConfVO;
import com.rjconsultores.ventaboletos.vo.parada.ParadaVOConexionRuta;

public interface ConexionRutaConfDAO extends GenericDAO<ConexionRutaConf, Integer> {

	List<ConexionRutaConf> buscarPorDescricao(String descricao);

	List<ConexionRutaConf> obtenerTodosActivo();
	
	public void excluirConfiguracao(ConexionRutaConf conexion, Integer usuarioId, boolean excluirConexionRutaConf, boolean isConexionGerada);
	
	public ConexionRutaConfVO carregarConexoesCadastradas(Integer conexionrutaconfId);
	
	public List<List<Ruta>> buscarRutasPorConexionConf(Integer conexionRutaConfId);

	public void atualizarTempoMinimoEMaximo(ConexionRutaConf conexionRutaConf);
	
	public ConexionRutaConf getByIdActivo(Integer conexionRutaConf);

	public String getSQLCarregarConexoesCadastradas();

	public void transformarObjetosConexao(List<ParadaVOConexionRuta> localidadesCombinadas,
			List<ConexionCtrl> listConexionCtrl, List<ConexionCtrlVO> listConexionCtrlVO, List<Object[]> result);

}
